| Home · All Classes · All Namespaces · Modules · Functions · Files

# StatelessDBusProxy Class Reference

`#include <TelepathyQt4/DBusProxy>`

Inherits Tp::DBusProxy.

Inherited by Account, AccountManager, and ConnectionManager.

List of all members.

## Public Member Functions

- StatelessDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, QObject *parent=0)
- virtual ~StatelessDBusProxy ()

## Detailed Description

: ?

Base class representing a remote object whose API is basically stateless. These objects can remain valid even if the service providing them exits and is restarted.

Examples include the AccountManager, Account and ConnectionManager.

## Constructor & Destructor Documentation

StatelessDBusProxy | ( | const QDBusConnection & | dbusConnection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0` |
| ) |  |  |

Constructor

~StatelessDBusProxy | ( |  | ) | `[virtual]`

Destructor